{ lib, ... }:
with lib;
{
  options.base = {
    enable = mkEnableOption "base config";

    baseGui.enable = mkOption {
      type = types.bool;
      default = false;
    };

    desktopEnvironments = {
      cosmic = {
        enable = mkOption {
          type = types.bool;
          default = false;
        };
        enableSpecialisation = mkOption {
          type = types.bool;
          default = false;
        };
      };
      hyprland = {
        enable = mkOption {
          type = types.bool;
          default = false;
        };
        enableSpecialisation = mkOption {
          type = types.bool;
          default = false;
        };
      };
    };
  };
}
